Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Sukneet Basuta (6f325f58cb246d3a2bd1fa3c29bad2eaa4dc52c6)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Sukneet Basuta <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Sukneet Basuta (6f325f58cb246d3a2bd1fa3c29bad2eaa4dc52c6)
  • Date: Mon, 31 Oct 2011 00:39:48 -0500

GIT changes to master grimoire by Sukneet Basuta <sukneet AT sourcemage.org>:

latex/texlive-texmf/HISTORY | 7 +
latex/texlive-texmf/PRE_BUILD | 10 ++
latex/texlive-texmf/texmfcnf.lua_fix.patch | 20 +++++
latex/texlive/09-texlive-fonts.conf | 10 ++
latex/texlive/BUILD | 4 -
latex/texlive/DEPENDS | 19 +---
latex/texlive/HISTORY | 27 ++++++
latex/texlive/INSTALL | 40 ++++++----
latex/texlive/PRE_BUILD | 29 ++++---
latex/texlive/fix_paths.patch | 112
+++++++++++++++++++++++++++++
latex/texlive/fix_scripts_3.patch | 59 ---------------
latex/texlive/mtxrun_fix.patch | 26 ++++++
latex/texlive/texmf.cnf_fix.patch | 8 +-
13 files changed, 268 insertions(+), 103 deletions(-)

New commits:
commit 2dd412772a9ffdab1c7b2d40e6775135e0d994ba
Author: Sukneet Basuta <sukneet AT sourcemage.org>
Commit: Sukneet Basuta <sukneet AT sourcemage.org>

texlive-texmf: fix paths for LuaTeX and ConTeXt
removed texmf.cnf so the version supplied with the texlive spell is used

commit 735e80d24fc49c0b690ae4b2ecd728f5212c659f
Author: Sukneet Basuta <sukneet AT sourcemage.org>
Commit: Sukneet Basuta <sukneet AT sourcemage.org>

texlive: fix for luatex and context
Change TEXMFLOCAL to /usr/local/share/texmf

BUILD:
- added banner configure option

DEPENDS:
- clean up depends for luatex
- added suggest_depends for RUBY and perl

INSTALL:
- Move old TEXMFLOCAL to new (/usr/share/texmf-local to
/usr/local/share/texmf)
- Explicitly define texlinks format file and destination so it reinstalls
correctly recreate the filename DB and create the proper formats
- install fontconfig conf file and regenerate fontconfig cache - needed
for XeTeX and XeLaTeX
- If luatex is installed, generate files and fonts for ConTeXt and LuaTeX

PRE_BUILD:
- use sed to edit files to use /usr/share/texmf and /usr/share/texmf-dist
- patch mtxrun for luatex

FINAL:
- added
- notify user of TEXMFLOCAL change

see HISTORY for more info

diff --git a/latex/texlive-texmf/HISTORY b/latex/texlive-texmf/HISTORY
index 1b1cc3f..b671bf0 100644
--- a/latex/texlive-texmf/HISTORY
+++ b/latex/texlive-texmf/HISTORY
@@ -1,3 +1,10 @@
+2011-10-31 Sukneet Basuta <sukneet AT sourcemage.org>
+ * PRE_BUILD: patch texmfcnf.lua for proper luatex dirs
+ rm texmf.cnf so the version in the texlive spell is used
+ * texmfcnf.lua_fix.patch: added, adds correct path for TEXMF
+ use TEXMFVAR (~/.texlive2011/texmf-var) before
+ TEXMFSYSVAR (/usr/share/texmf-var) for TEXMFCACHE
+
2011-09-05 Ismael Luceno <ismael AT sourcemage.org>
* DETAILS: updated spell to 20110705

diff --git a/latex/texlive-texmf/PRE_BUILD b/latex/texlive-texmf/PRE_BUILD
index 9a93cfa..e7a2d70 100755
--- a/latex/texlive-texmf/PRE_BUILD
+++ b/latex/texlive-texmf/PRE_BUILD
@@ -12,4 +12,12 @@ if [[ $TTMF_SMALL == y ]]; then
rm "$p.pdf"
fi
done
-fi
+fi &&
+
+
+cd ${SOURCE_DIRECTORY} &&
+# patch texmfcnf.lua for luatex
+patch -p0 < ${SPELL_DIRECTORY}/texmfcnf.lua_fix.patch &&
+
+# rm texmf.cnf so it doesn't overwrite patched version
+rm ${SOURCE_DIRECTORY}/texmf/web2c/texmf.cnf
diff --git a/latex/texlive-texmf/texmfcnf.lua_fix.patch
b/latex/texlive-texmf/texmfcnf.lua_fix.patch
new file mode 100644
index 0000000..b373a59
--- /dev/null
+++ b/latex/texlive-texmf/texmfcnf.lua_fix.patch
@@ -0,0 +1,20 @@
+--- texmf/web2c/texmfcnf.lua
++++ texmf/web2c/texmfcnf.lua
+@@ -50,7 +50,7 @@
+ -- We have only one cache path but there can be more. The first
writable one
+ -- will be chosen but there can be more readable paths.
+
+- TEXMFCACHE = "$TEXMFSYSVAR;$TEXMFVAR",
++ TEXMFCACHE = "$TEXMFVAR;$TEXMFSYSVAR",
+ TEXMFCONFIG = "home:.texlive2011/texmf-config",
+
+ -- I don't like this texmf under home and texmf-home would make
more
+@@ -77,7 +77,7 @@
+ -- We need texmfos for a few rare files but as I have a few
more bin trees
+ -- a hack is needed. Maybe other users also have
texmf-platform-new trees.
+
+- TEXMF =
"{$TEXMFCONFIG,$TEXMFHOME,!!$TEXMFSYSCONFIG,!!$TEXMFPROJECT,!!$TEXMFFONTS,!!$TEXMFLOCAL,!!$TEXMFCONTEXT,!!$TEXMFSYSTEM,!!$TEXMFMAIN}",
++ TEXMF =
"{$TEXMFCONFIG,$TEXMFHOME,!!$TEXMFSYSCONFIG,!!$TEXMFPROJECT,!!$TEXMFFONTS,!!$TEXMFLOCAL,!!$TEXMFCONTEXT,!!$TEXMFSYSTEM,!!$TEXMFMAIN,/usr/share/texmf-dist}",
+
+ TEXFONTMAPS =
".;$TEXMF/fonts/data//;$TEXMF/fonts/map/{pdftex,dvips}//",
+ ENCFONTS =
".;$TEXMF/fonts/data//;$TEXMF/fonts/enc/{dvips,pdftex}//",
diff --git a/latex/texlive/09-texlive-fonts.conf
b/latex/texlive/09-texlive-fonts.conf
new file mode 100644
index 0000000..6b8b79c
--- /dev/null
+++ b/latex/texlive/09-texlive-fonts.conf
@@ -0,0 +1,10 @@
+<?xml version="1.0"?>
+<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
+<fontconfig>
+ <dir>/usr/share/texmf-dist/fonts/opentype</dir>
+ <dir>/usr/share/texmf-dist/fonts/truetype</dir>
+ <dir>/usr/share/texmf/fonts/opentype</dir>
+ <dir>/usr/share/texmf/fonts/truetype</dir>
+ <dir>/usr/local/share/texmf/fonts/opentype</dir>
+ <dir>/usr/local/share/texmf/fonts/truetype</dir>
+</fontconfig>
diff --git a/latex/texlive/BUILD b/latex/texlive/BUILD
index 4cfc045..d1aa528 100755
--- a/latex/texlive/BUILD
+++ b/latex/texlive/BUILD
@@ -22,7 +22,9 @@ LIBS="-lpng" $SOURCE_DIRECTORY/configure
--prefix=${INSTALL_ROOT}/usr \
--disable-multiplatform \
--without-x \
--disable-native-texlive-build \
+ --with-banner-add="/Source Mage GNU/Linux" \
$OPTS &&
make_single &&
make &&
-make_normal
+make_normal
+#make -C ${SOURCE_DIRECTORY}/texk/kpathsea
diff --git a/latex/texlive/DEPENDS b/latex/texlive/DEPENDS
index 663e071..a940d78 100755
--- a/latex/texlive/DEPENDS
+++ b/latex/texlive/DEPENDS
@@ -23,16 +23,11 @@ runtime_depends dvipdfmx "--disable-dvipdfmx" &&
runtime_depends dvipng '--disable-dvipng' &&
runtime_depends lacheck '--disable-lacheck' &&
runtime_depends lcdf-typetools '--disable-lcdf-typetools' &&
+optional_depends lua \
+ '--enable-luatex' \
+ '--without-luatex' \
+ 'Extended version of pdfTeX with Lua, required for XeTeX
and ConTeXt MkII and MKIV' &&
suggest_depends XDVI '--disable-xdvik' '--disable-xdvik' \
- "For an X DVI viewer"
-# still beta and possibly broken
-#optional_depends lua \
-# '--with-luatex' \
-#
'--without-luatex' \
-# 'Extended
version of pdfTeX with Lua' &&
-#if is_depends_enabled $SPELL lua ; then
-#depends luafilesystem &&
-#depends lpeg &&
-#depends lzlib
-#fi &&
-
+ "For an X DVI viewer" &&
+suggest_depends RUBY '' '' "required for epspdf, context, hyph-utf8
(Hyphenation patterns expressed in UTF-8), & Huhyphn (hungarian hyphenation)"
&&
+suggest_depends perl '' '' "required for latexmk, epstopdf, psutils,
ps2eps, TeXcount, latexdiff, context, pdfcrop, thumbpdf, perlTeX, texdef,
mathsPIC, ptex, mathpazo, a2ping, vpe, sty2dtx, & various other scripts"
diff --git a/latex/texlive/HISTORY b/latex/texlive/HISTORY
index fb4e391..0f8d51a 100644
--- a/latex/texlive/HISTORY
+++ b/latex/texlive/HISTORY
@@ -1,3 +1,30 @@
+2011-10-31 Sukneet Basuta <sukneet AT sourcemage.org>
+ * BUILD: added banner configure option
+ * DEPENDS: clean up depends for luatex
+ added suggest_depends for RUBY and perl
+ * INSTALL: Move old TEXMFLOCAL to new (/usr/share/texmf-local to
/usr/local/share/texmf)
+ Explicitly define texlinks format file and destination so it
+ reinstalls correctly
+ remove aleph files since they are no longer supported
+ recreate the filename DB and create the proper formats
+ install fontconfig conf file and regenerate fontconfig cache,
+ needed for XeTeX and XeLaTeX
+ If luatex is installed, generate files and fonts for ConTeXt and
LuaTeX
+ * PRE_BUILD: use sed to edit files to use /usr/share/texmf and
/usr/share/texmf-dist
+ patch mtxrun for luatex, see below
+ * FINAL: added, display message notifying the user of TEXMFLOCAL
change
+ if using luatex, notify user that they may have to generate
+ context's formats themselves. Not done in INSTALL, because it fails
+ on recasts due to luatex using the wrong cache path.
+ * fixed_scripts_3.patch: removed, replaced with fix_paths.patch
+ * fix_paths.patch: fix paths not fixed by sed in PRE_BUILD
+ * texmf.cnf_fix.patch: change TEXMFLOCAL to /usr/local/share/texmf
+ * 09-texlive-fonts.conf: added, fontconfig conf file
+ * mtxrun_fix.patch: fix paths for luatex
+ set ownpath to fixed value because it has trouble finding the
correct
+ path on recasts
+ fix SELFAUTOPARENT becuase mtxrun expects the script to be in
+
2011-10-12 Florian Franzmann <siflfran AT hawo.stw.uni-erlangen.de>
* INSTALL: fixed install failure

diff --git a/latex/texlive/INSTALL b/latex/texlive/INSTALL
index 43974b4..40cbb73 100755
--- a/latex/texlive/INSTALL
+++ b/latex/texlive/INSTALL
@@ -1,16 +1,30 @@
default_install &&

-# in version 20091107, texlive does not install wrappers like latex, pdflatex
-# automatically, so copy these files explicitly
-local i &&
-for i in texk/texlive/* ; do
- if file $i | grep 'script text executable' 2>&1 >/dev/null; then
- cp -v $i $INSTALL_ROOT/usr/bin
- fi
-done &&
+# move old local to new local, can eventually get rid of this
+if [ -d "/usr/share/texmf-local" ]; then
+ mv ${INSTALL_ROOT}/usr/share/texmf-local
${INSTALL_ROOT}/usr/local/share/texmf
+fi &&

-ln -svf mf $INSTALL_ROOT/usr/bin/mf-nowin &&
-sedit '/aleph/d' ${INSTALL_ROOT}/usr/share/texmf/web2c/fmtutil.cnf &&
-sedit '/luatex/d' ${INSTALL_ROOT}/usr/share/texmf/web2c/fmtutil.cnf &&
-texlinks -f /usr/share/texmf/web2c/fmtutil.cnf &&
-fmtutil-sys --all
+ln -svf mf ${INSTALL_ROOT}/usr/bin/mf-nowin &&
+
+# don't create aleph files
+sed -i -e '/aleph/d' ${INSTALL_ROOT}/usr/share/texmf/web2c/fmtutil.cnf &&
+
+# create symlinks to latex, pdflatex, etc
+${INSTALL_ROOT}/usr/bin/texlinks -f
${INSTALL_ROOT}/usr/share/texmf/web2c/fmtutil.cnf ${INSTALL_ROOT}/usr/bin &&
+
+# update filename db & create all formats
+mktexlsr &&
+fmtutil-sys --cnffile ${INSTALL_ROOT}/usr/share/texmf/web2c/fmtutil.cnf
--fmtdir ${INSTALL_ROOT}/usr/share/texmf/web2c --all &&
+
+# allow fontconfig to see latex fonts
+install -Cv ${SPELL_DIRECTORY}/09-texlive-fonts.conf
${INSTALL_ROOT}/etc/fonts/conf.avail &&
+ln -fs ${INSTALL_ROOT}/etc/fonts/conf.avail/09-texlive-fonts.conf
${INSTALL_ROOT}/etc/fonts/conf.d &&
+fc-cache -fsv &&
+
+if is_depends_enabled $SPELL lua ; then
+ # update filename db & create formats for context
+ mtxrun --generate &&
+ # generate fonts for luatex & context
+
OSFONTDIR="${INSTALL_ROOT}/usr/share/texmf-dist/fonts/;${INSTALL_ROOT}/usr/share/texmf/fonts/;${INSTALL_ROOT}/usr/local/share/texmf/fonts"
mtxrun --script fonts --reload
+fi
diff --git a/latex/texlive/PRE_BUILD b/latex/texlive/PRE_BUILD
index b90a4a0..9bd0d53 100755
--- a/latex/texlive/PRE_BUILD
+++ b/latex/texlive/PRE_BUILD
@@ -3,18 +3,21 @@ cd $BUILD_DIRECTORY &&
verify_file '' &&
xz -dc $SOURCE_CACHE/$SOURCE | tar -xf -
cd $SOURCE_DIRECTORY &&
-#--
-## this patche fix the Makefile.in's so that everything gets
-## installed to FHS locations
-sed -i 's:\(\$.\)prefix\(./tex\):\1datadir\2:' $(find -name Makefile.in) &&
-patch -p1 < $SPELL_DIRECTORY/fix_scripts_3.patch &&
-#--
-#--
-## the sed on the patch is live so it will take into
-## account INSTALL_ROOT
-patch -p1 < $SPELL_DIRECTORY/texmf.cnf_fix.patch &&
-#--
-#--
-## removing as much internal things as possible
+
+# Use /usr/share/texmf and /usr/share/texmf-dist, adapted from lunarlinux
+find -name Makefile\* -exec sed -i -e
"s:\(\$.\)prefix\(./tex\):\1datadir\2:" {} \; &&
+find -name configure -exec sed -i -e "s:\(\$.\)prefix\(./tex\):\1datadir\2:"
{} \; &&
+find -name \*.info -exec sed -i -e "s:/usr/local:/usr:" {} \; &&
+find -name \*.texi -exec sed -i -e "s:/usr/local:/usr:" {} \; &&
+# fix the remaining locations
+patch -p0 < ${SPELL_DIRECTORY}/fix_paths.patch &&
+
+# the sed on the patch is live so it will take into
+# account INSTALL_ROOT
+sed "s:/usr/share:$INSTALL_ROOT/usr/share:g"
$SPELL_DIRECTORY/texmf.cnf_fix.patch | patch -p0 &&
+# patch mtxrun for context taking into account $INSTALL_ROOT, see HISTORY
+sed "s:/usr/bin:$INSTALL_ROOT/usr/bin:g" $SPELL_DIRECTORY/mtxrun_fix.patch |
patch -p0 &&
+
+# removing as much internal things as possible
rm -rf utils/{dialog,gzip,lzma,ps2eps,psutils,t1utils,texinfo,pdfopen} &&
rm -rf
libs/{freetype2,lua51,libpng,jpeg,expat,gd,luafilesystem,luafontforge,luamd5,luapeg,luazip,luazlib,ncurses,t1lib,unzip}
diff --git a/latex/texlive/fix_paths.patch b/latex/texlive/fix_paths.patch
new file mode 100644
index 0000000..ae7b114
--- /dev/null
+++ b/latex/texlive/fix_paths.patch
@@ -0,0 +1,112 @@
+--- texk/tetex/Makefile.in
++++ texk/tetex/Makefile.in
+@@ -225,7 +225,7 @@
+ all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@runscript =
$(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
+-texmfdir = ${prefix}/$(scriptsdir)
++texmfdir = ${datadir}/$(scriptsdir)
+ dist_texmf_SCRIPTS = $(perl_scripts:=.pl) $(shell_scripts:=.sh)
+ @WIN32_FALSE@dist_bin_SCRIPTS = $(sh_scripts)
+ CLEANFILES = $(nodist_bin_SCRIPTS)
+@@ -254,7 +254,7 @@
+ fmtutil.cnf.5 \
+ updmap.cfg.5
+
+-texconfdir = ${prefix}
++texconfdir = ${datadir}
+ nobase_dist_texconf_DATA = \
+ texmf/texconfig/README \
+ texmf/texconfig/g/generic \
+--- texk/tex4htk/Makefile.in
++++ texk/tex4htk/Makefile.in
+@@ -269,7 +269,7 @@
+ all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@runscript =
$(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
+-texmfdir = ${prefix}/$(scriptsdir)
++texmfdir = ${datadir}/$(scriptsdir)
+ dist_texmf_SCRIPTS = $(perl_scripts:=.pl) $(shell_scripts:=.sh)
+ @WIN32_TRUE@dist_bin_SCRIPTS = $(shell_scripts:=.bat)
+ CLEANFILES = $(nodist_bin_SCRIPTS)
+@@ -992,8 +992,8 @@
+ # We support both multiplatform and non-multiplatform builds.
+ install-links:
+ case "$(bindir)" in \
+- */bin) $(MAKE) $(AM_MAKEFLAGS) REL=.. TYPE=$(TYPE) EXT=$(EXT)
make-links;; \
+- */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../.. TYPE=$(TYPE) EXT=$(EXT)
make-links;; \
++ */bin) $(MAKE) $(AM_MAKEFLAGS) REL=../share TYPE=$(TYPE) EXT=$(EXT)
make-links;; \
++ */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../../share TYPE=$(TYPE)
EXT=$(EXT) make-links;; \
+ *) echo "strange directory '$(bindir)' for linked $(TYPE) scripts"
>&2; \
+ exit 1;; \
+ esac
+--- texk/texlive/linked_scripts/Makefile.in
++++ texk/texlive/linked_scripts/Makefile.in
+@@ -620,8 +620,8 @@
+ @WIN32_TRUE@ $(INSTALL_SCRIPT) $(runscript)
$(DESTDIR)$(bindir)/$$link.exe || exit 1; \
+ @WIN32_TRUE@ done
+ @WIN32_FALSE@ case "$(bindir)" in \
+-@WIN32_FALSE@ */bin) $(MAKE) $(AM_MAKEFLAGS) REL=.. install-links;; \
+-@WIN32_FALSE@ */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../.. install-links;; \
++@WIN32_FALSE@ */bin) $(MAKE) $(AM_MAKEFLAGS) REL=../share install-links;;
\
++@WIN32_FALSE@ */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../../share
install-links;; \
+ @WIN32_FALSE@ *) echo "strange directory '$(bindir)' for linked scripts"
>&2; \
+ @WIN32_FALSE@ exit 1;; \
+ @WIN32_FALSE@ esac
+@@ -650,11 +650,7 @@
+ echo "creating link '$$link' -> '$$file'"; \
+ $(LN_S) $$file $$link || exit 1; \
+ done && \
+- rm -f man && \
+- if test -d $(REL)/texmf/doc/man; then \
+- echo "creating link 'man' -> '$(REL)/texmf/doc/man'" && \
+- (ln -s $(REL)/texmf/doc/man man || :); \
+- else :; fi
++ true
+
+ uninstall-hook:
+ @for s in $(nobase_dist_texmf_scripts_SCRIPTS)
$(nobase_dist_texmf_dist_scripts_SCRIPTS); do \
+--- utils/chktex/Makefile.in
++++ utils/chktex/Makefile.in
+@@ -254,7 +254,7 @@
+ all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@runscript =
$(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
+-texmfdir = ${prefix}/$(scriptsdir)
++texmfdir = ${datadir}/$(scriptsdir)
+ nodist_texmf_SCRIPTS = $(perl_scripts:=.pl)
+ @WIN32_FALSE@bin_SCRIPTS = $(CHKTEX_TREE)/chkweb
+
+--- utils/ps2eps/Makefile.in
++++ utils/ps2eps/Makefile.in
+@@ -213,7 +213,7 @@
+ all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@runscript =
$(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
+-texmfdir = ${prefix}/$(scriptsdir)
++texmfdir = ${datadir}/$(scriptsdir)
+ nodist_texmf_SCRIPTS = $(PS2EPS_TREE)/bin/ps2eps.pl
+ CLEANFILES = $(nodist_bin_SCRIPTS)
+ all: all-am
+--- utils/psutils/Makefile.in
++++ utils/psutils/Makefile.in
+@@ -302,7 +302,7 @@
+ all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@runscript =
$(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
+-texmfdir = ${prefix}/$(scriptsdir)
++texmfdir = ${datadir}/$(scriptsdir)
+ nodist_texmf_SCRIPTS = $(perl_scripts:=.pl)
+ @WIN32_FALSE@bin_SCRIPTS = $(sh_scripts)
+ nodist_man1_MANS = \
+--- utils/xindy/Makefile.in
++++ utils/xindy/Makefile.in
+@@ -257,7 +257,7 @@
+ all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
+ @WIN32_TRUE@@WIN32_WRAP_TRUE@runscript =
$(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
+-texmfdir = ${prefix}/$(scriptsdir)
++texmfdir = ${datadir}/$(scriptsdir)
+ nodist_texmf_SCRIPTS = $(perl_scripts:=.pl)
+ CLEANFILES = $(nodist_bin_SCRIPTS) $(nodist_texmf_SCRIPTS)
+ all: all-recursive
diff --git a/latex/texlive/fix_scripts_3.patch
b/latex/texlive/fix_scripts_3.patch
deleted file mode 100644
index 4ab3125..0000000
--- a/latex/texlive/fix_scripts_3.patch
+++ /dev/null
@@ -1,59 +0,0 @@
---- a/texk/tetex/Makefile.in
-+++ b/texk/tetex/Makefile.in
-@@ -254,7 +254,7 @@ dist_man5_MANS = \
- fmtutil.cnf.5 \
- updmap.cfg.5
-
--texconfdir = ${prefix}
-+texconfdir = ${datadir}
- nobase_dist_texconf_DATA = \
- texmf/texconfig/README \
- texmf/texconfig/g/generic \
---- a/texk/tex4htk/Makefile.in
-+++ b/texk/tex4htk/Makefile.in
-@@ -269,7 +269,7 @@ nodist_bin_SCRIPTS = $(am__append_1)
- all_scripts = $(lua_scripts) $(perl_scripts) $(shell_scripts)
- @WIN32_TRUE@@WIN32_WRAP_TRUE@wrappers = $(all_scripts:=.exe)
- @WIN32_TRUE@@WIN32_WRAP_TRUE@runscript =
$(top_srcdir)/../../texk/texlive/w32_wrapper/runscript.exe
--texmfdir = ${prefix}/$(scriptsdir)
-+texmfdir = ${datadir}/$(scriptsdir)
- dist_texmf_SCRIPTS = $(perl_scripts:=.pl) $(shell_scripts:=.sh)
- @WIN32_TRUE@dist_bin_SCRIPTS = $(shell_scripts:=.bat)
- CLEANFILES = $(nodist_bin_SCRIPTS)
-@@ -992,8 +992,8 @@ install-shell-links:
- # We support both multiplatform and non-multiplatform builds.
- install-links:
- case "$(bindir)" in \
-- */bin) $(MAKE) $(AM_MAKEFLAGS) REL=.. TYPE=$(TYPE) EXT=$(EXT)
make-links;; \
-- */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../.. TYPE=$(TYPE) EXT=$(EXT)
make-links;; \
-+ */bin) $(MAKE) $(AM_MAKEFLAGS) REL=../share TYPE=$(TYPE) EXT=$(EXT)
make-links;; \
-+ */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../../share TYPE=$(TYPE)
EXT=$(EXT) make-links;; \
- *) echo "strange directory '$(bindir)' for linked $(TYPE) scripts"
>&2; \
- exit 1;; \
- esac
---- a/texk/texlive/linked_scripts/Makefile.in
-+++ b/texk/texlive/linked_scripts/Makefile.in
-@@ -620,8 +620,8 @@ install-data-hook:
- @WIN32_TRUE@ $(INSTALL_SCRIPT) $(runscript)
$(DESTDIR)$(bindir)/$$link.exe || exit 1; \
- @WIN32_TRUE@ done
- @WIN32_FALSE@ case "$(bindir)" in \
--@WIN32_FALSE@ */bin) $(MAKE) $(AM_MAKEFLAGS) REL=.. install-links;; \
--@WIN32_FALSE@ */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../.. install-links;; \
-+@WIN32_FALSE@ */bin) $(MAKE) $(AM_MAKEFLAGS) REL=../share install-links;;
\
-+@WIN32_FALSE@ */bin/*) $(MAKE) $(AM_MAKEFLAGS) REL=../../share
install-links;; \
- @WIN32_FALSE@ *) echo "strange directory '$(bindir)' for linked scripts"
>&2; \
- @WIN32_FALSE@ exit 1;; \
- @WIN32_FALSE@ esac
-@@ -650,11 +650,7 @@ install-links:
- echo "creating link '$$link' -> '$$file'"; \
- $(LN_S) $$file $$link || exit 1; \
- done && \
-- rm -f man && \
-- if test -d $(REL)/texmf/doc/man; then \
-- echo "creating link 'man' -> '$(REL)/texmf/doc/man'" && \
-- (ln -s $(REL)/texmf/doc/man man || :); \
-- else :; fi
-+ true
-
- uninstall-hook:
- @for s in $(nobase_dist_texmf_scripts_SCRIPTS)
$(nobase_dist_texmf_dist_scripts_SCRIPTS); do \
diff --git a/latex/texlive/mtxrun_fix.patch b/latex/texlive/mtxrun_fix.patch
new file mode 100644
index 0000000..a5d1edb
--- /dev/null
+++ b/latex/texlive/mtxrun_fix.patch
@@ -0,0 +1,26 @@
+--- texk/texlive/context/mtxrun
++++ texk/texlive/context/mtxrun
+@@ -9801,7 +9801,7 @@
+ local args = environment.originalarguments or arg -- this needs a
cleanup
+
+ local ownbin = environment.ownbin or args[-2] or arg[-2] or args[-1]
or arg[-1] or arg[0] or "luatex"
+- local ownpath = environment.ownpath or os.selfdir
++ local ownpath = '/usr/bin'
+
+ ownbin = file.collapsepath(ownbin)
+ ownpath = file.collapsepath(ownpath)
+@@ -9873,12 +9873,12 @@
+
+ do
+
+- local ownpath = environment.ownpath or dir.current()
++ local ownpath = '/usr/bin'
+
+ if ownpath then
+ ossetenv('SELFAUTOLOC', file.collapsepath(ownpath))
+ ossetenv('SELFAUTODIR', file.collapsepath(ownpath .. "/.."))
+- ossetenv('SELFAUTOPARENT', file.collapsepath(ownpath .. "/../.."))
++ ossetenv('SELFAUTOPARENT', file.collapsepath(ownpath ..
"/../share"))
+ else
+ report_initialization("error: unable to locate ownpath")
+ os.exit()
diff --git a/latex/texlive/texmf.cnf_fix.patch
b/latex/texlive/texmf.cnf_fix.patch
index b4dfb1e..deb0fa0 100644
--- a/latex/texlive/texmf.cnf_fix.patch
+++ b/latex/texlive/texmf.cnf_fix.patch
@@ -1,11 +1,11 @@
---- a/texk/kpathsea/texmf.cnf
-+++ b/texk/kpathsea/texmf.cnf
+--- texk/kpathsea/texmf.cnf
++++ texk/kpathsea/texmf.cnf
@@ -49,7 +49,7 @@
% (http://tug.org/tds), or files may not be found.
%
% Redistributors will probably want $SELFAUTODIR/share, i.e., /usr/share.
-TEXMFROOT = $SELFAUTOPARENT
-+TEXMFROOT = $SELFAUTODIR/share
++TEXMFROOT = $SELFAUTODIR/share

% The tree containing runtime files related to the specific
% distribution and version.
@@ -14,7 +14,7 @@

% Local additions to the distribution trees.
-TEXMFLOCAL = $TEXMFROOT/../texmf-local
-+TEXMFLOCAL = $TEXMFROOT/texmf-local
++TEXMFLOCAL = $SELFAUTODIR/local/share/texmf

% TEXMFSYSVAR, where *-sys store cached runtime data.
-TEXMFSYSVAR = $TEXMFROOT/texmf-var



  • [SM-Commit] GIT changes to master grimoire by Sukneet Basuta (6f325f58cb246d3a2bd1fa3c29bad2eaa4dc52c6), Sukneet Basuta, 10/31/2011

Archive powered by MHonArc 2.6.24.

Top of Page